> ## Documentation Index
> Fetch the complete documentation index at: https://docs.compasslabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Check if LP is Active.

> This endpoint allows users to check whether a specific liquidity provider ()
position is within the active tick range on the uniswap platform.

by providing the token id associated with the position, users can verify if the
position is currently within the tick range where trading occurs. this information
is essential for users to monitor the status of their lp positions and ensure that
they are actively participating in the trading activities within the liquidity pool
and earning trading fees.



## OpenAPI

````yaml /v1/combined_spec.json get /v1/uniswap/liquidity_provision/in_range
openapi: 3.1.0
info:
  title: Compass API
  description: Compass Labs DeFi API
  version: 0.0.1
servers:
  - url: https://api.compasslabs.ai
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /v1/uniswap/liquidity_provision/in_range:
    get:
      tags:
        - Uniswap V3
      summary: Check if LP is Active.
      description: >-
        This endpoint allows users to check whether a specific liquidity
        provider ()

        position is within the active tick range on the uniswap platform.


        by providing the token id associated with the position, users can verify
        if the

        position is currently within the tick range where trading occurs. this
        information

        is essential for users to monitor the status of their lp positions and
        ensure that

        they are actively participating in the trading activities within the
        liquidity pool

        and earning trading fees.
      operationId: v1_uniswap_liquidity_provision_in_range
      parameters:
        - name: chain
          in: query
          required: true
          schema:
            type: string
            enum:
              - arbitrum
              - base
              - ethereum
            title: Chain
            default: arbitrum
        - name: token_id
          in: query
          required: true
          schema:
            type: integer
            minimum: 0
            title: Token Id
            default: 4318185
          description: Token ID of the NFT representing the liquidity provisioned position.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UniswapCheckInRangeResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            from compass_api_sdk import CompassAPI, models


            with CompassAPI(
                api_key_auth="<YOUR_API_KEY_HERE>",
            ) as compass_api:

                res = compass_api.uniswap_v3.uniswap_liquidity_provision_in_range(chain=models.V1UniswapLiquidityProvisionInRangeChain.ARBITRUM, token_id=4318185)

                # Handle response
                print(res)
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { CompassApiSDK } from "@compass-labs/api-sdk";

            const compassApiSDK = new CompassApiSDK({
              apiKeyAuth: "<YOUR_API_KEY_HERE>",
            });

            async function run() {
              const result = await compassApiSDK.uniswapV3.uniswapLiquidityProvisionInRange({
                chain: "arbitrum",
                tokenId: 4318185,
              });

              console.log(result);
            }

            run();
components:
  schemas:
    UniswapCheckInRangeResponse:
      properties:
        in_range:
          type: boolean
          title: In Range
          description: >-
            Whether the position is in active tick range or not. If not in
            range, the position is not earning trading fees.
      type: object
      required:
        - in_range
      title: UniswapCheckInRangeResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        Your Compass API Key. Get your key
        [here](https://www.compasslabs.ai/dashboard).

````